| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
TrackableInfo Class Reference

`#include <TrackableInfo.h>`

Collaboration diagram for TrackableInfo:
[legend]

## Public Member Functions
void | CleanUp ()

## Public Attributes
int | _id
float | _scale
std::shared_ptr< unsigned char > | _imageBuff
cv::Mat | _image
std::vector< cv::Point2f > | _points
int | _width
int | _height
std::string | _fileName
cv::Mat | _pose
std::vector< cv::KeyPoint > | _featurePoints
cv::Mat | _descriptors
std::vector< cv::Point2f > | _cornerPoints
std::vector< cv::Point2f > | _bBox
std::vector< cv::Point2f > | _bBoxTransformed
bool | _isTracking
bool | _isDetected
bool | _resetTracks
TrackingPointSelector | _trackSelection

## Member Function Documentation

## ◆ CleanUp()

void TrackableInfo::CleanUp | ( |  | ) |
| inline

Here is the call graph for this function:

## Member Data Documentation

## ◆ _bBox

std::vector<cv::Point2f> TrackableInfo::_bBox

## ◆ _bBoxTransformed

std::vector<cv::Point2f> TrackableInfo::_bBoxTransformed

## ◆ _cornerPoints

std::vector<cv::Point2f> TrackableInfo::_cornerPoints

## ◆ _descriptors

cv::Mat TrackableInfo::_descriptors

## ◆ _featurePoints

std::vector<cv::KeyPoint> TrackableInfo::_featurePoints

## ◆ _fileName

std::string TrackableInfo::_fileName

## ◆ _height

int TrackableInfo::_height

## ◆ _id

int TrackableInfo::_id

## ◆ _image

cv::Mat TrackableInfo::_image

## ◆ _imageBuff

std::shared_ptr<unsigned char> TrackableInfo::_imageBuff

## ◆ _isDetected

bool TrackableInfo::_isDetected

## ◆ _isTracking

bool TrackableInfo::_isTracking

## ◆ _points

std::vector<cv::Point2f> TrackableInfo::_points

## ◆ _pose

cv::Mat TrackableInfo::_pose

## ◆ _resetTracks

bool TrackableInfo::_resetTracks

## ◆ _scale

float TrackableInfo::_scale

## ◆ _trackSelection

TrackingPointSelector TrackableInfo::_trackSelection

## ◆ _width

int TrackableInfo::_width

The documentation for this class was generated from the following file:

- Source/ARX/OCVT/TrackableInfo.h